#!/usr/bin/php -q
<?php
/*
 * FCKpackager - JavaScript Packager and Compressor - http://www.fckeditor.net
 * Copyright (C) 2003-2007 Frederico Caldeira Knabben
 *
 * == BEGIN LICENSE ==
 *
 * Licensed under the terms of any of the following licenses at your
 * choice:
 *
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 *
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 *
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 *
 * == END LICENSE ==
 *
 * This is the main file of FCKpackager.
 *
 * You can call it through command line with "php fckpackager.php".
 */

echo( "\n" ) ;
echo( 'FCKpackager - JavaScript Packager and Compressor - Version 1.0' . "\n" ) ;
echo( 'Copyright 2004-2007 Frederico Caldeira Knabben - All rights reserved' . "\n" ) ;
echo( "\n" ) ;

require_once( 'includes/fckpackager.inc' ) ;

// Check the number of arguments passed. The first one is the script name.
if ( count( $argv ) > 2 )
	ExitError( 'Invalid arguments. Operation aborted.' ) ;

// Get the package definition file
$xmlFileName = 'fckpackager.xml' ;

if ( isset( $argv[1] ) )
	$xmlFileName = $argv[1] ;

$packager = new FCKPackager() ;
$packager->LoadDefinitionFile( $xmlFileName ) ;
$packager->Run() ;

?>
