<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<?php

require_once( '../includes/fckcontantprocessor.inc' ) ;
require_once( '../includes/fckjavascriptcompressor.inc' ) ;

if ( isset( $_POST['xInputScript'] ) )
{
	$inputData = $_POST['xInputScript'] ;

	if ( get_magic_quotes_gpc() )
		$inputData = stripslashes( $inputData ) ;
}
else
	$inputData = file_get_contents( '../_samples/basic/basic_sample.js' ) ;

$constProcessor = new FCKConstantProcessor() ;
$constProcessor->RemoveDeclaration = FALSE ;
$constProcessor->AddConstant( 'BASIC_COLOR_RED', '1' ) ;
$constProcessor->AddConstant( 'BASIC_COLOR_BLUE', '2' ) ;
$constProcessor->AddConstant( 'BASIC_COLOR_WHITE', '3' ) ;

$outputData = FCKJavaScriptCompressor::Compress( $inputData, $constProcessor ) ;

?>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title>FCKpackager - JavaScript Compressor</title>
</head>
<body>
	<form method="POST">
	<table style="width:100%; height:100%" cellpadding="0" cellspacing="0">
		<tr>
			<td style="height:70%">
				<table style="width:100%; height:100%" cellpadding="0" cellspacing="0">
					<tr>
						<td>
							<h1 style="margin:0px">FCKpackager - JavaScript Compressor</h1>
							<div>Input Script:</div>
						</td>
					</tr>
					<tr>
						<td style="height:100%">
							<textarea name="xInputScript" style="width:100%; height:100%;" wrap="off"><?=htmlspecialchars($inputData)?></textarea>
						</td>
					</tr>
					<tr>
						<td>
							<div><input type="Submit" value="Compress" /></div>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td style="height:30%">
				<table style="width:100%; height:100%" cellpadding="0" cellspacing="0">
					<tr>
						<td>
							<div>Compressed Script:</div>
						</td>
					</tr>
					<tr>
						<td style="height:100%">
							<textarea style="width:100%; height:100%;" readonly="readonly" wrap="off"><?=htmlspecialchars($outputData)?></textarea>
						</td>
					</tr>
					<tr>
						<td>
							<div>
								Original Size: <b><?=number_format( strlen( $inputData ) )?></b> bytes - Compressed Size: <b><?=number_format( strlen( $outputData ) )?></b> bytes (<b><?=round( strlen( $outputData ) / strlen( $inputData ) * 100, 2 )?>%</b> of original)
							</div>
							<hr />
							<div>
								&copy; 2006 - 2007 Frederico Caldeira Knabben (FredCK.com). For more info visit <a href="http://www.fckeditor.net">http://www.fckeditor.net</a>
							</div>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	</form>
</body>
</html>
